Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		mc
Version:	4.6.2
Release:	4
License:	GNU/GPL 
URL:		http://www.ibiblio.org/mc/
Group:		File Tools
Source0:	%{name}-%{version}-pre1.tar.gz
# basic lzma support
# patch taken from mc-4.6.2-0.20080216.2mdv2008.1.src.rpm mandriva package
Patch0:		mc-4.6.1.lzma.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Midnight Commander is a file manager and shell.
Requires:	glib
Requires:	lzma >= 4.32.0
BuildRequires:	glib-devel
BuildRequires:	glibc-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  gpm
BuildRequires:  perl

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
GNU Midnight Commander is a text-mode full-screen file manager.
It uses a two panel interface and a subshell for command execution.
It includes an internal editor with syntax highlighting and an
internal viewer with support for binary files.
Also included is Virtual Filesystem (VFS), that allows files
on remote systems (e.g. FTP servers) and files inside archives to be
manipulated like real files.
For more details see: http://www.ibiblio.org/mc/

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}-pre1
%patch0 -p1

%build
./configure --prefix=%_prefix \
	--mandir=%_mandir \
	--sysconfdir=%_sysconfdir \
	--disable-dependency-tracking \
	--with-screen=mcslang \
	--enable-charset \
	--enable-samba \
	--without-x
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_sysconfdir/profile.d
cp -f $RPM_BUILD_ROOT%{_prefix}/share/mc/bin/mc.{csh,sh} \
	$RPM_BUILD_ROOT%_sysconfdir/profile.d
rm -R $RPM_BUILD_ROOT%_sbindir

%files
%defattr(-,root,root)
%doc FAQ COPYING NEWS README
%_sysconfdir
%_bindir
#%_libdir
%_datadir
/usr/libexec/mc/cons.saver

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 20 2008 ChristiAN Metzen <metzench@ccux-linux.de> 4.6.2-4
- rebuild against libgpm
* Sun May 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-3
- added lzma compression enabled rpm as requirement
* Sun May 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-2
- added lzma support
* Thu Apr 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-1
- version update
- pre1
* Mon Sep 12 2005 Christian Wasem <wasem@ccux-linux.de> 4.6.1-2
- rebuild without using x libraries, remove mcserver
* Sun Sep 11 2005 Christian Wasem <wasem@ccux-linux.de> 4.6.1-1
- Update to Version 4.6.1, build for SourceRPM  
